Please merge nginx 1.4.5-1 (universe) from Debian unstable (main)

Bug #1280511 reported by Thomas Ward on 2014-02-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nginx (Ubuntu)
Wishlist
Unassigned

Bug Description

Debian Unstable has nginx 1.4.5-1, which is the latest upstream stable release. I would like 1.4.5-1 to be included in Trusty before feature freeze. Not only is it the latest upstream stable release it fixes other bugs in Debian.

Also, according to mdeslaur, when I asked in #ubuntu-hardened about whether this would affect the security review for the MIR:
<mdeslaur> teward: probably, not no. In fact, having the latest version would probably be preferred.

Debian changelog entries since 1.4.4-4 in Debian (this would also be since 1.4.4-4ubuntu1):

nginx (1.4.5-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release.
  * debian/modules/nginx-lua:
    + Update nginx-lua to v0.9.4
  * debian/nginx-naxsi-ui.preinst:
    + Fix exit status issue (Closes: #735152)
  * debian/control:
    + Fix arch:all to arch:any dependencies
    + Make nginx depend on specific flavor version
  * debian/nginx-*.postinst:
    + Make nginx start by default (Closes: #735551)
  * debian/nginx-*.prerm:
    + No need to check for invoke-rc.d,
      correctly set the exit code on error
  * debian/nginx-common.nginx.init:
    + Rewrite some parts of the initscript
    + Introduce rotate command
    + Introduce upgrade command

 -- Christos Trochalakis <email address hidden> Thu, 13 Feb 2014 11:41:49 +0200

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nginx - 1.4.5-1ubuntu1

---------------
nginx (1.4.5-1ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian (LP: #1280511). Remaining changes:
    - debian/patches/ubuntu-branding.patch:
      + Add Ubuntu branding to server_tokens.

nginx (1.4.5-1) unstable; urgency=medium

  [ Christos Trochalakis ]
  * New upstream release.
  * debian/modules/nginx-lua:
    + Update nginx-lua to v0.9.4
  * debian/nginx-naxsi-ui.preinst:
    + Fix exit status issue (Closes: #735152)
  * debian/control:
    + Fix arch:all to arch:any dependencies
    + Make nginx depend on specific flavor version
  * debian/nginx-*.postinst:
    + Make nginx start by default (Closes: #735551)
  * debian/nginx-*.prerm:
    + No need to check for invoke-rc.d,
      correctly set the exit code on error
  * debian/nginx-common.nginx.init:
    + Rewrite some parts of the initscript
    + Introduce rotate command
    + Introduce upgrade command

nginx (1.4.4-4) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/nginx-common.postinst:
    + Fix log re-opening issue due to wrong /var/log/nginx
      permissions. (Closes: #734139)

nginx (1.4.4-3) unstable; urgency=medium

  [ Christos Trochalakis ]
  * debian/nginx-naxsi-ui.postinst:
    + Fix early exit issue (Closes: #715435)
 -- Colin Watson <email address hidden> Sat, 15 Feb 2014 03:05:42 +0000

Changed in nginx (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers